using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
//using System.Threading.Tasks;

namespace nispi
{
    class UpdateControl
    {
        public UpdateControl()
        {

        }

        public static void CloseAgeOn()
        {

            System.Diagnostics.Process[] ps =
                System.Diagnostics.Process.GetProcessesByName("AgeOnUpdate");

            foreach (System.Diagnostics.Process p in ps)
            {
                //クローズメッセージを送信する
                p.CloseMainWindow();

                //プロセスが終了するまで最大10秒待機する
                p.WaitForExit();
                //プロセスが終了したか確認する
                if (p.HasExited)
                {
                    //終了した
                    break;// System.Diagnostics.Process.Start("ageon.exe");
                }
                else
                {
                    break;//終了しない
                }
            }
        }
        public static void StartUpdate()
        {
            System.Diagnostics.Process.Start("AgeOnUpdate.exe");
        }
    }
}
